#ifndef HIREPLYPKG_H_DEF
#define HIREPLYPKG_H_DEF

#include "TelepatiPkg.h"

using namespace std;

/**implementa il messaggio di risposta al saluto.
   Struttura: e' composto esclusivamente dall'header standard
*/

class HiReplyPkg : public TelepatiPkg{
 public:
  /** Costruttore ordinario. @param a aibo di destinazione*/
  HiReplyPkg(int a);
  /**Costruisce l'oggetto a partire dall'array restituito da
     getMsg(). @param ptr puntatore all'array di byte. @see
     getMsg()*/
  HiReplyPkg(byte* ptr);

  /** Distruttore di default*/
  virtual ~HiReplyPkg();

  /** Clonatore. Restituisce un clone dell'oggetto su cui e'
      chiamato.*/
  virtual TelepatiPkg* clone();

  /** Ritorna un array che rappresenta l'oggetto. Costruisce un array
      che rappresenta l'oggetto, l'array corrisponde ai dati spediti
      via rete. @return array di byte. @see HiReplyPkg(byte* ptr)*/
  byte* getMsg();  
};

#endif
